searchData={"items":[{"type":"module","title":"Aliyun.Sms","doc":"","ref":"Aliyun.Sms.html"},{"type":"function","title":"Aliyun.Sms.send_sms/6","doc":"发送短信.","ref":"Aliyun.Sms.html#send_sms/6"},{"type":"function","title":"Examples - Aliyun.Sms.send_sms/6","doc":"iex> Aliyun.Sms.Client.send_sms(\"1500000000\", \"阿里云短信测试专用\", \"SMS_0000\", %{code: \"222333\"})\n    {:ok, %{\"Code\" => \"OK\", \"Message\" => \"OK\", \"BizId\" => \"700000000000000000^0\", \"RequestId\" => \"A0000000-3CC1-4000-8000-E00000000000\"}}\n\n    iex> Aliyun.Sms.Client.send_sms(\"1500000000\", \"invalid_sig\", \"SMS_0000\", %{code: \"222333\"})\n    {:error, %{\"Code\" => \"isv.SMS_SIGNATURE_ILLEGAL\", \"Message\" => \"短信签名不合法\"}}\n\n    iex> Aliyun.Sms.Client.send_sms(\"1500000000\", \"阿里云短信测试专用\", \"SMS_0000\", %{code: \"222333\"})\n    {:error, %Req.TransportError{reason: :ehostunreach}}","ref":"Aliyun.Sms.html#send_sms/6-examples"},{"type":"module","title":"Aliyun.Sms.Client","doc":"","ref":"Aliyun.Sms.Client.html"},{"type":"function","title":"Aliyun.Sms.Client.send_sms/6","doc":"发送短信.","ref":"Aliyun.Sms.Client.html#send_sms/6"},{"type":"function","title":"Examples - Aliyun.Sms.Client.send_sms/6","doc":"iex> Aliyun.Sms.Client.send_sms(\"1500000000\", \"阿里云短信测试专用\", \"SMS_0000\", %{code: \"222333\"})\n    {:ok, %{\"Code\" => \"OK\", \"Message\" => \"OK\", \"BizId\" => \"700000000000000000^0\", \"RequestId\" => \"A0000000-3CC1-4000-8000-E00000000000\"}}\n\n    iex> Aliyun.Sms.Client.send_sms(\"1500000000\", \"invalid_sig\", \"SMS_0000\", %{code: \"222333\"})\n    {:error, %{\"Code\" => \"isv.SMS_SIGNATURE_ILLEGAL\", \"Message\" => \"短信签名不合法\"}}\n\n    iex> Aliyun.Sms.Client.send_sms(\"1500000000\", \"阿里云短信测试专用\", \"SMS_0000\", %{code: \"222333\"})\n    {:error, %Req.TransportError{reason: :ehostunreach}}","ref":"Aliyun.Sms.Client.html#send_sms/6-examples"},{"type":"extras","title":"AliyunSms","doc":"# AliyunSms\n\n[![Run Tests](https://github.com/ug0/aliyun_sms/actions/workflows/test.yml/badge.svg)](https://github.com/ug0/aliyun_sms/actions/workflows/test.yml)\n[![Publish](https://github.com/ug0/aliyun_sms/actions/workflows/publish.yml/badge.svg)](https://github.com/ug0/aliyun_sms/actions/workflows/publish.yml)\n[![Module Version](https://img.shields.io/hexpm/v/aliyun_sms.svg)](https://hex.pm/packages/aliyun_sms)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/aliyun_sms/)\n[![Total Download](https://img.shields.io/hexpm/dt/aliyun_sms.svg)](https://hex.pm/packages/aliyun_sms)\n[![License](https://img.shields.io/hexpm/l/aliyun_sms.svg)](https://github.com/ug0/aliyun_sms/blob/master/LICENSE.md)\n[![Last Updated](https://img.shields.io/github/last-commit/ug0/aliyun_sms.svg)](https://github.com/ug0/aliyun_sms/commits/master)\n\nAliyun SMS API(阿里云短信服务 API)","ref":"readme.html"},{"type":"extras","title":"Installation - AliyunSms","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `aliyun_sms` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:aliyun_sms, \"~> 0.3.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - AliyunSms","doc":"```elixir\nconfig :aliyun_sms,\n  access_key_id: \"ALIYUN_ACCESS_KEY_ID\",\n  access_key_secret: \"ALIYUN_ACCESS_KEY_SECRET\"\n```\nOr if you want to config them via run-time system environment variables:\n```elixir\nconfig :aliyun_sms,\n  access_key_id: {:system, \"ALIYUN_ACCESS_KEY_ID\"},\n  access_key_secret: {:system, \"ALIYUN_ACCESS_KEY_SECRET\"}\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Quickstart - AliyunSms","doc":"```elixir\nAliyun.Sms.send_sms(\"1500000000\", \"阿里云短信测试专用\", \"SMS_0000\", %{code: \"222333\"})\n# {:ok, %{\"Code\" => \"OK\", \"Message\" => \"OK\", \"BizId\" => \"700000000000000000^0\", \"RequestId\" => \"A0000000-3CC1-4000-8000-E00000000000\"}}\n\nAliyun.Sms.send_sms(\"1500000000\", \"invalid_sig\", \"SMS_0000\", %{code: \"222333\"})\n# {:error, %{\"Code\" => \"isv.SMS_SIGNATURE_ILLEGAL\", \"Message\" => \"短信签名不合法\"}}\n\nAliyun.Sms.send_sms(\"1500000000\", \"阿里云短信测试专用\", \"SMS_0000\", %{code: \"222333\"})\n# {:error, %Req.TransportError{reason: :ehostunreach}}\n```","ref":"readme.html#quickstart"},{"type":"extras","title":"Documentation - AliyunSms","doc":"- [https://hexdocs.pm/aliyun_sms](https://hexdocs.pm/aliyun_sms)\n\n- [阿里云官方文档](https://help.aliyun.com/document_detail/102715.html?spm=a2c4g.11186623.2.9.64da5f30jYcBMx#concept-t4w-pcs-ggb)\n\n| Aliyun | Description | This package |\n| ---------- | ----------- | --------------- |\n| SendSMS    | 发送短信。    | `Aliyun.Sms.send_sms/6` |\n| SendBatchSms | 批量发送短信。| [TODO] |\n| QuerySendDetails | 查询短信发送的状态。 | [TODO] |\n| AddSmsSign | 调用短信AddSmsSign申请短信签名。 | [TODO] |\n| DeleteSmsSign | 调用接口DeleteSmsSign删除短信签名。 | [TODO] |\n| QuerySmsSign | 调用接口QuerySmsSign查询短信签名申请状态。 | [TODO] |\n| ModifySmsSign | 调用接口ModifySmsSign修改未审核通过的短信签名，并重新提交审核。 | [TODO] |\n| ModifySmsTemplate |\t调用接口ModifySmsTemplate修改未通过审核的短信模板。 | [TODO] |\n| QuerySmsTemplate |\t调用接口QuerySmsTemplate查询短信模板的审核状态。 | [TODO] |\n| AddSmsTemplate |\t调用接口AddSmsTemplate申请短信模板。 | [TODO] |\n| DeleteSmsTemplate |\t调用接口DeleteSmsTemplate删除短信模板。 | [TODO] |","ref":"readme.html#documentation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}